
%% bare_jrnl.tex
%% V1.4b
%% 2015/08/26
%% by Michael Shell
%% see http://www.michaelshell.org/
%% for current contact information.
%%
%% This is a skeleton file demonstrating the use of IEEEtran.cls
%% (requires IEEEtran.cls version 1.8b or later) with an IEEE
%% journal paper.
%%
%% Support sites:
%% http://www.michaelshell.org/tex/ieeetran/
%% http://www.ctan.org/pkg/ieeetran
%% and
%% http://www.ieee.org/

%%*************************************************************************
%% Legal Notice:
%% This code is offered as-is without any warranty either expressed or
%% implied; without even the implied warranty of MERCHANTABILITY or
%% FITNESS FOR A PARTICULAR PURPOSE! 
%% User assumes all risk.
%% In no event shall the IEEE or any contributor to this code be liable for
%% any damages or losses, including, but not limited to, incidental,
%% consequential, or any other damages, resulting from the use or misuse
%% of any information contained here.
%%
%% All comments are the opinions of their respective authors and are not
%% necessarily endorsed by the IEEE.
%%
%% This work is distributed under the LaTeX Project Public License (LPPL)
%% ( http://www.latex-project.org/ ) version 1.3, and may be freely used,
%% distributed and modified. A copy of the LPPL, version 1.3, is included
%% in the base LaTeX documentation of all distributions of LaTeX released
%% 2003/12/01 or later.
%% Retain all contribution notices and credits.
%% ** Modified files should be clearly indicated as such, including  **
%% ** renaming them and changing author support contact information. **
%%*************************************************************************


% *** Authors should verify (and, if needed, correct) their LaTeX system  ***
% *** with the testflow diagnostic prior to trusting their LaTeX platform ***
% *** with production work. The IEEE's font choices and paper sizes can   ***
% *** trigger bugs that do not appear when using other class files.       ***                          ***
% The testflow support page is at:
% http://www.michaelshell.org/tex/testflow/



\documentclass[journal]{IEEEtran}
%
% If IEEEtran.cls has not been installed into the LaTeX system files,
% manually specify the path to it like:
% \documentclass[journal]{../sty/IEEEtran}





% Some very useful LaTeX packages include:
% (uncomment the ones you want to load)


% *** MISC UTILITY PACKAGES ***
%
%\usepackage{ifpdf}
% Heiko Oberdiek's ifpdf.sty is very useful if you need conditional
% compilation based on whether the output is pdf or dvi.
% usage:
% \ifpdf
%   % pdf code
% \else
%   % dvi code
% \fi
% The latest version of ifpdf.sty can be obtained from:
% http://www.ctan.org/pkg/ifpdf
% Also, note that IEEEtran.cls V1.7 and later provides a builtin
% \ifCLASSINFOpdf conditional that works the same way.
% When switching from latex to pdflatex and vice-versa, the compiler may
% have to be run twice to clear warning/error messages.

\usepackage{amsmath,graphicx,amssymb,amsthm,mathtools,url}
\usepackage{tabularx}
\usepackage{tikz}
\usepackage{pgfplots}
\usepackage{booktabs}
\usepackage{multirow}
%\usepackage[caption=false,font=footnotesize]{subfig}
\usepackage{moresize}
\usepackage{subcaption}
\usepackage{algorithmic, algorithm}
\usepackage{flushend}


% *** CITATION PACKAGES ***
%
%\usepackage{cite}
% cite.sty was written by Donald Arseneau
% V1.6 and later of IEEEtran pre-defines the format of the cite.sty package
% \cite{} output to follow that of the IEEE. Loading the cite package will
% result in citation numbers being automatically sorted and properly
% "compressed/ranged". e.g., [1], [9], [2], [7], [5], [6] without using
% cite.sty will become [1], [2], [5]--[7], [9] using cite.sty. cite.sty's
% \cite will automatically add leading space, if needed. Use cite.sty's
% noadjust option (cite.sty V3.8 and later) if you want to turn this off
% such as if a citation ever needs to be enclosed in parenthesis.
% cite.sty is already installed on most LaTeX systems. Be sure and use
% version 5.0 (2009-03-20) and later if using hyperref.sty.
% The latest version can be obtained at:
% http://www.ctan.org/pkg/cite
% The documentation is contained in the cite.sty file itself.






% *** GRAPHICS RELATED PACKAGES ***
%
\ifCLASSINFOpdf
  % \usepackage[pdftex]{graphicx}
  % declare the path(s) where your graphic files are
  % \graphicspath{{../pdf/}{../jpeg/}}
  % and their extensions so you won't have to specify these with
  % every instance of \includegraphics
  % \DeclareGraphicsExtensions{.pdf,.jpeg,.png}
\else
  % or other class option (dvipsone, dvipdf, if not using dvips). graphicx
  % will default to the driver specified in the system graphics.cfg if no
  % driver is specified.
  % \usepackage[dvips]{graphicx}
  % declare the path(s) where your graphic files are
  % \graphicspath{{../eps/}}
  % and their extensions so you won't have to specify these with
  % every instance of \includegraphics
  % \DeclareGraphicsExtensions{.eps}
\fi
% graphicx was written by David Carlisle and Sebastian Rahtz. It is
% required if you want graphics, photos, etc. graphicx.sty is already
% installed on most LaTeX systems. The latest version and documentation
% can be obtained at: 
% http://www.ctan.org/pkg/graphicx
% Another good source of documentation is "Using Imported Graphics in
% LaTeX2e" by Keith Reckdahl which can be found at:
% http://www.ctan.org/pkg/epslatex
%
% latex, and pdflatex in dvi mode, support graphics in encapsulated
% postscript (.eps) format. pdflatex in pdf mode supports graphics
% in .pdf, .jpeg, .png and .mps (metapost) formats. Users should ensure
% that all non-photo figures use a vector format (.eps, .pdf, .mps) and
% not a bitmapped formats (.jpeg, .png). The IEEE frowns on bitmapped formats
% which can result in "jaggedy"/blurry rendering of lines and letters as
% well as large increases in file sizes.
%
% You can find documentation about the pdfTeX application at:
% http://www.tug.org/applications/pdftex

\graphicspath{{./FigureData/}}



% *** MATH PACKAGES ***
%
%\usepackage{amsmath}
% A popular package from the American Mathematical Society that provides
% many useful and powerful commands for dealing with mathematics.
%
% Note that the amsmath package sets \interdisplaylinepenalty to 10000
% thus preventing page breaks from occurring within multiline equations. Use:
%\interdisplaylinepenalty=2500
% after loading amsmath to restore such page breaks as IEEEtran.cls normally
% does. amsmath.sty is already installed on most LaTeX systems. The latest
% version and documentation can be obtained at:
% http://www.ctan.org/pkg/amsmath





% *** SPECIALIZED LIST PACKAGES ***
%
%\usepackage{algorithmic}
% algorithmic.sty was written by Peter Williams and Rogerio Brito.
% This package provides an algorithmic environment fo describing algorithms.
% You can use the algorithmic environment in-text or within a figure
% environment to provide for a floating algorithm. Do NOT use the algorithm
% floating environment provided by algorithm.sty (by the same authors) or
% algorithm2e.sty (by Christophe Fiorio) as the IEEE does not use dedicated
% algorithm float types and packages that provide these will not provide
% correct IEEE style captions. The latest version and documentation of
% algorithmic.sty can be obtained at:
% http://www.ctan.org/pkg/algorithms
% Also of interest may be the (relatively newer and more customizable)
% algorithmicx.sty package by Szasz Janos:
% http://www.ctan.org/pkg/algorithmicx




% *** ALIGNMENT PACKAGES ***
%
%\usepackage{array}
% Frank Mittelbach's and David Carlisle's array.sty patches and improves
% the standard LaTeX2e array and tabular environments to provide better
% appearance and additional user controls. As the default LaTeX2e table
% generation code is lacking to the point of almost being broken with
% respect to the quality of the end results, all users are strongly
% advised to use an enhanced (at the very least that provided by array.sty)
% set of table tools. array.sty is already installed on most systems. The
% latest version and documentation can be obtained at:
% http://www.ctan.org/pkg/array


% IEEEtran contains the IEEEeqnarray family of commands that can be used to
% generate multiline equations as well as matrices, tables, etc., of high
% quality.




% *** SUBFIGURE PACKAGES ***
%\ifCLASSOPTIONcompsoc
%  \usepackage[caption=false,font=normalsize,labelfont=sf,textfont=sf]{subfig}
%\else
%  \usepackage[caption=false,font=footnotesize]{subfig}
%\fi
% subfig.sty, written by Steven Douglas Cochran, is the modern replacement
% for subfigure.sty, the latter of which is no longer maintained and is
% incompatible with some LaTeX packages including fixltx2e. However,
% subfig.sty requires and automatically loads Axel Sommerfeldt's caption.sty
% which will override IEEEtran.cls' handling of captions and this will result
% in non-IEEE style figure/table captions. To prevent this problem, be sure
% and invoke subfig.sty's "caption=false" package option (available since
% subfig.sty version 1.3, 2005/06/28) as this is will preserve IEEEtran.cls
% handling of captions.
% Note that the Computer Society format requires a larger sans serif font
% than the serif footnote size font used in traditional IEEE formatting
% and thus the need to invoke different subfig.sty package options depending
% on whether compsoc mode has been enabled.
%
% The latest version and documentation of subfig.sty can be obtained at:
% http://www.ctan.org/pkg/subfig




% *** FLOAT PACKAGES ***
%
%\usepackage{fixltx2e}
% fixltx2e, the successor to the earlier fix2col.sty, was written by
% Frank Mittelbach and David Carlisle. This package corrects a few problems
% in the LaTeX2e kernel, the most notable of which is that in current
% LaTeX2e releases, the ordering of single and double column floats is not
% guaranteed to be preserved. Thus, an unpatched LaTeX2e can allow a
% single column figure to be placed prior to an earlier double column
% figure.
% Be aware that LaTeX2e kernels dated 2015 and later have fixltx2e.sty's
% corrections already built into the system in which case a warning will
% be issued if an attempt is made to load fixltx2e.sty as it is no longer
% needed.
% The latest version and documentation can be found at:
% http://www.ctan.org/pkg/fixltx2e


%\usepackage{stfloats}
% stfloats.sty was written by Sigitas Tolusis. This package gives LaTeX2e
% the ability to do double column floats at the bottom of the page as well
% as the top. (e.g., "\begin{figure*}[!b]" is not normally possible in
% LaTeX2e). It also provides a command:
%\fnbelowfloat
% to enable the placement of footnotes below bottom floats (the standard
% LaTeX2e kernel puts them above bottom floats). This is an invasive package
% which rewrites many portions of the LaTeX2e float routines. It may not work
% with other packages that modify the LaTeX2e float routines. The latest
% version and documentation can be obtained at:
% http://www.ctan.org/pkg/stfloats
% Do not use the stfloats baselinefloat ability as the IEEE does not allow
% \baselineskip to stretch. Authors submitting work to the IEEE should note
% that the IEEE rarely uses double column equations and that authors should try
% to avoid such use. Do not be tempted to use the cuted.sty or midfloat.sty
% packages (also by Sigitas Tolusis) as the IEEE does not format its papers in
% such ways.
% Do not attempt to use stfloats with fixltx2e as they are incompatible.
% Instead, use Morten Hogholm'a dblfloatfix which combines the features
% of both fixltx2e and stfloats:
%
% \usepackage{dblfloatfix}
% The latest version can be found at:
% http://www.ctan.org/pkg/dblfloatfix




%\ifCLASSOPTIONcaptionsoff
%  \usepackage[nomarkers]{endfloat}
% \let\MYoriglatexcaption\caption
% \renewcommand{\caption}[2][\relax]{\MYoriglatexcaption[#2]{#2}}
%\fi
% endfloat.sty was written by James Darrell McCauley, Jeff Goldberg and 
% Axel Sommerfeldt. This package may be useful when used in conjunction with 
% IEEEtran.cls'  captionsoff option. Some IEEE journals/societies require that
% submissions have lists of figures/tables at the end of the paper and that
% figures/tables without any captions are placed on a page by themselves at
% the end of the document. If needed, the draftcls IEEEtran class option or
% \CLASSINPUTbaselinestretch interface can be used to increase the line
% spacing as well. Be sure and use the nomarkers option of endfloat to
% prevent endfloat from "marking" where the figures would have been placed
% in the text. The two hack lines of code above are a slight modification of
% that suggested by in the endfloat docs (section 8.4.1) to ensure that
% the full captions always appear in the list of figures/tables - even if
% the user used the short optional argument of \caption[]{}.
% IEEE papers do not typically make use of \caption[]'s optional argument,
% so this should not be an issue. A similar trick can be used to disable
% captions of packages such as subfig.sty that lack options to turn off
% the subcaptions:
% For subfig.sty:
% \let\MYorigsubfloat\subfloat
% \renewcommand{\subfloat}[2][\relax]{\MYorigsubfloat[]{#2}}
% However, the above trick will not work if both optional arguments of
% the \subfloat command are used. Furthermore, there needs to be a
% description of each subfigure *somewhere* and endfloat does not add
% subfigure captions to its list of figures. Thus, the best approach is to
% avoid the use of subfigure captions (many IEEE journals avoid them anyway)
% and instead reference/explain all the subfigures within the main caption.
% The latest version of endfloat.sty and its documentation can obtained at:
% http://www.ctan.org/pkg/endfloat
%
% The IEEEtran \ifCLASSOPTIONcaptionsoff conditional can also be used
% later in the document, say, to conditionally put the References on a 
% page by themselves.




% *** PDF, URL AND HYPERLINK PACKAGES ***
%
%\usepackage{url}
% url.sty was written by Donald Arseneau. It provides better support for
% handling and breaking URLs. url.sty is already installed on most LaTeX
% systems. The latest version and documentation can be obtained at:
% http://www.ctan.org/pkg/url
% Basically, \url{my_url_here}.




% *** Do not adjust lengths that control margins, column widths, etc. ***
% *** Do not use packages that alter fonts (such as pslatex).         ***
% There should be no need to do such things with IEEEtran.cls V1.6 and later.
% (Unless specifically asked to do so by the journal or conference you plan
% to submit to, of course. )


% correct bad hyphenation here
\hyphenation{op-tical net-works semi-conduc-tor}

\DeclareMathOperator*{\argmin}{arg\,min}

\definecolor{mycolor1}{rgb}{0.00000,0.44700,0.74100}%
\definecolor{mycolor2}{rgb}{0.85000,0.32500,0.09800}%
\definecolor{mycolor3}{rgb}{0.92900,0.69400,0.12500}%
\definecolor{mycolor4}{rgb}{0.46667,0.67451,0.18824}%
\definecolor{mycolor5}{rgb}{0.49412,0.18431,0.30588}%
\definecolor{mycolor6}{rgb}{0.30196,0.69020,0.93333}%

\renewcommand{\algorithmicrequire}{\textbf{Input:}}
\renewcommand{\algorithmicensure}{\textbf{Output:}}
\renewcommand{\algorithmiccomment}[1]{\footnotesize \textcolor{myBlue}{$\triangleright$ #1}}


\begin{document}
%
% paper title
% Titles are generally capitalized except for words such as a, an, and, as,
% at, but, by, for, in, nor, of, on, or, the, to and up, which are usually
% not capitalized unless they are the first or last word of the title.
% Linebreaks \\ can be used within to get better formatting as desired.
% Do not put math or special symbols in the title.
\title{Spectral-Spatial Classification From Multi-sensor Compressive Measurements Using Superpixels}
%SPECTRAL-SPATIAL CLASSIFICATION FROM MULTI-SENSOR COMPRESSIVE MEASUREMENTS USING SUPERPIXELS
%
% author names and IEEE memberships
% note positions of commas and nonbreaking spaces ( ~ ) LaTeX will not break
% a structure at a ~ so this keeps an author's name from being broken across
% two lines.
% use \thanks{} to gain access to the first footnote area
% a separate \thanks must be used for each paragraph as LaTeX2e's \thanks
% was not built to handle multiple paragraphs
%

\author{Carlos~Hinojosa,~\IEEEmembership{Student~Member,~IEEE,}
        Juan~Marcos~Ramirez,~\IEEEmembership{Student~Member,~IEEE,}
        and~Henry~Arguello,~\IEEEmembership{Senior~Member,~IEEE}% <-this % stops a space
\thanks{Manuscript received April 1, 2018; revised June 15, 2018.}% <-this % stops a space
\thanks{This work was supported by the Vicerrector\'ia de Investigaci\'on y Extensi\'on of the Universidad Industrial de Santander under the Grant 8914: ``Strengthening of capacities in applied research through the evaluation, development of technological tools and/or methodologies in the areas of geology and geophysics to reduce exploratory uncertainty in the oil and gas industry". J. Ramirez was supported by the postdoctoral internship program of the Vicerrector\'ia de Investigaci\'on y Extensi\'on of the Universidad Industrial de Santander.}
%\thanks{This paper has supplementary downloadable material available at http://ieeexplore.ieee.org, which contains the theorems demonstrations and the ADMM solution of the proposed subspace clustering optimization problem.}
\thanks{C. Hinojosa, Juan Marcos Ramirez and H. Arguello are with the Department of System Engineering and Informatics, Universidad Industrial de Santander, Bucaramanga, 680002 Colombia (e-mail: carlos.hinojosa@saber.uis.edu.co; juanmarcos; henarfu@uis.edu.co).}\vspace{-1.1em}}

% note the % following the last \IEEEmembership and also \thanks - 
% these prevent an unwanted space from occurring between the last author name
% and the end of the author line. i.e., if you had this:
% 
% \author{....lastname \thanks{...} \thanks{...} }
%                     ^------------^------------^----Do not want these spaces!
%
% a space would be appended to the last name and could cause every name on that
% line to be shifted left slightly. This is one of those "LaTeX things". For
% instance, "\textbf{A} \textbf{B}" will typeset as "A B" not "AB". To get
% "AB" then you have to do: "\textbf{A}\textbf{B}"
% \thanks is no different in this regard, so shield the last } of each \thanks
% that ends a line with a % and do not let a space in before the next \thanks.
% Spaces after \IEEEmembership other than the last one are OK (and needed) as
% you are supposed to have spaces between the names. For what it is worth,
% this is a minor point as most people would not even notice if the said evil
% space somehow managed to creep in.



% The paper headers
\markboth{Journal of \LaTeX\ Class Files,~Vol.~14, No.~8, August~2015}%
{Shell \MakeLowercase{\textit{et al.}}: Bare Demo of IEEEtran.cls for IEEE Journals}
% The only time the second header will appear is for the odd numbered pages
% after the title page when using the twoside option.
% 
% *** Note that you probably will NOT want to include the author's ***
% *** name in the headers of peer review papers.                   ***
% You can use \ifCLASSOPTIONpeerreview for conditional compilation here if
% you desire.




% If you want to put a publisher's ID mark on the page you can do it like
% this:
%\IEEEpubid{0000--0000/00\$00.00~\copyright~2015 IEEE}
% Remember, if you use this you must call \IEEEpubidadjcol in the second
% column for its text to clear the IEEEpubid mark.



% use for special paper notices
%\IEEEspecialpapernotice{(Invited Paper)}




% make the title area
\maketitle
%
\makeatletter
\newcommand{\sublabel}[1]{\protected@edef\@currentlabel{\thefigure(\thesubfigure)}\label{#1}}
\makeatother
%
% As a general rule, do not put math, special symbols or citations
% in the abstract or keywords.
\begin{abstract}
Compressive spectral imaging (CSI) acquires coded projections of a spectral image by performing a modulation of the data cube followed by a spectral-wise integration. To avoid the spectral image reconstruction procedure, this paper proposes a classification approach that extracts features directly from multi-sensor CSI measurements. Particularly, the proposed method obtains the features by considering the spectral information extracted from Hyperspectral CSI measurements, and the local spatial information extracted by clustering the Multispectral CSI measurements using a superpixel algorithm. This approach is evaluated on Pavia University and Salinas Valley datasets. Extensive simulations show that considering the local spatial information boosts the overall accuracy up to $3\%$ in comparison with traditional approaches that only uses the spectral information. Furthermore, the computation time of the approach that reconstructs, fuses and classifies takes approximately $87.43$ [s], while classifying directly from multi-sensor compressive measurements takes only $0.74$ [s], achieving similar classification results.
\end{abstract}

% Note that keywords are not normally used for peerreview papers.
\begin{IEEEkeywords}
compressive spectral imaging, multi-sensor measurements, spectral image classification, feature extraction, superpixel algorithms. 
\end{IEEEkeywords}






% For peer review papers, you can put extra information on the cover
% page as needed:
% \ifCLASSOPTIONpeerreview
% \begin{center} \bfseries EDICS Category: 3-BBND \end{center}
% \fi
%
% For peerreview papers, this IEEEtran command inserts a page break and
% creates the second title. It will be ignored for other modes.
\IEEEpeerreviewmaketitle



\section{Introduction}
%depronto hablar de la fusion o utilizacion de un metodo de "clustering" como lo es SLIC para agregar informacion espacial a la clasificacion supervisada. Mostrar que esto es posible en el dominio comprimido -> ver paper compressive signal processing.

\label{sec:intro}

%In particular, as one of the major tasks of spectral image processing, classification has drawn broad attentions and has led to a variety of methods since it emerged, which aims at assigning each spectral pixel to one of a certain set of classes \cite{ghamisi2017advanced,ghamisi2017advances,fauvel2013advances}. In the literature, many of the methods have been concentrated on exploring the role of the spectral signatures in classification, employing exclusively the spectrum of a pixel to determine its class belonging. As spectral images are originally 3D and pictorial, spatial dependency, which is complementary to spectral behavior, is naturally another useful information source in addition to spectra. The introduction of spatial dependency hence offers the possibility to boost the pixel-wise classification \cite{he2018recent,tarabalka2009spectral}. Among many methods, the superpixel techinque is well known to efficiently embed the spatial neighboring information into the classification procedure. This technique is based on the oversegmentation strategy to partition an image into homogeneous subregions. Such subregions are usually spatially irregular units, but perceptually consistent, i.e., all pixels in a superpixel are most likely uniform, meaning that superpixel methods are adaptive to real scenes. Therefore, combining superpixel partitioning with conventional spectral-spatial classification approaches is expected to boost the classification performance, considering not only the spectral behavior but the variations of spatial characteristics the spectral data cubes.

%This approach allows to sense and simultaneously reduce the data dimensionality without further processing steps \cite{martin2016hyperspectral,doi:10.1137/110837486}. Therefore, the cost of sensing, storing, transmitting and processing spectral images using this method is significantly reduced. Until now, different CSI sensing methods have been proposed to compress spectral images \cite{martin2016hyperspectral,doi:10.1137/110837486,cao2016computational,arguello2014colored,correa2016multiple}. Particularly, in this work the spectral-spatial coded compressive spectral imager (3D-CASSI) is adopted. This CSI sensing scheme modulates the spectral data cube in spatial and spectral dimensions using a 3D coded aperture (ensembles of 2D coded apertures) or an array of optical filters. Then, the coded spectral data cube is integrated along the spectral dimension such that each spatial position of the acquired measurements contains the compressive information of a single coded spectral signature\cite{cao2016computational}. 

Spectral imaging senses 2D spatial information along multiple wavelengths. Traditional sensing techniques require scanning all the scene across multiple spectral bands to construct the three-dimensional (3D) data cube \cite{shaw2003spectral}. Based on the acquired spectral/spatial resolution, spectral imaging sensors can be categorized in Hyperspectral (HS) and Multispectral (MS). Typically, HS devices capture hundreds of spectral bands of the scene, however, its spatial resolution is often lower compared to that obtained with an MS sensor, which has a low spectral resolution \cite{yokoya2017hyperspectral}. In this sense, fusion techniques provide a methodological framework for finding a high spatial and spectral resolution image using the information from both HS and MS images \cite{ghamisi2017advances,yokoya2017hyperspectral}. After applying a fusion technique, the spectral signatures (a.k.a spectral pixels) are commonly used as classification features for identifying and detecting different materials within the high-resolution spectral data cube \cite{ghamisi2017advanced,ghamisi2017advances,he2018recent,Hinojosa:18,Sanchez:19}.

%Traditional classification methods assign each spectral pixel to one of a certain set of classes by employing exclusively the spectrum of a pixel \cite{ghamisi2017advanced,ghamisi2017advances,fauvel2013advances}. However, as spectral images can be seen as a set of 2D images, spatial dependency, which is complementary to spectral behavior, is naturally another useful information source in addition to spectra. Among many methods, the superpixel technique has shown to successfully embed the spatial neighboring information into the image pixels classification. The introduction of such spatial information hence offers the possibility to boost the pixel-wise classification \cite{he2018recent,tarabalka2009spectral}

%rely on the oversegmentation strategy to partition an image into homogeneous subregions efficiently embedding the spatial neighboring information into the image pixels classification

%In addition, processing such high dimensional data also requires huge computational resources and storage capacities.

%A typical procedure after the CSI measurements acquisition is signal recovery, which is achieved using nonlinear and relatively expensive optimization-based or iterative algorithms. CSI signal recovery procedure is explained in \cite{arce2014compressive}.

In general, spectral image classification is a very difficult task due to the inherent data complexity, high storage requirements and computational costs. Therefore, a preprocessing step to reduce the dimensions of the spectral imagery is often required \cite{he2016weighted,RastiHyperspectral2016}. On the other hand, compressive spectral imaging (CSI) has recently emerged as a new spectral imaging acquisition approach which captures compressive 2D measurements of the entire data cube rather than directly acquiring all the voxels, hence reducing the data dimensionality \cite{arce2014compressive,montero2015analysis,correa2016multiple,cao2016computational}. Under the context of CSI, two data fusion algorithms have been recently proposed \cite{8552442,8657365}. In particular, these methods reconstruct a high spatial and spectral resolution image from multi-sensor compressive measurements. Then, an intuitive approach of spectral image classification from multi-sensor compressive measurements would involve two tasks: the reconstruction of the fused image from the HS and MS compressive measurements, and finally, the classification procedure itself. However, this approach implies expensive computational costs and further, the classification accuracy might be degraded due to multiple factors \cite{yokoya2017hyperspectral,arce2014compressive}.

Although most of the CSI literature has focused on improving the speed and accuracy of the spectral image reconstruction \cite{arce2014compressive,arguello2014colored,garcia2018multi,diaz2019adaptive}, the image recovery stage, in general, is not actually necessary for performing many signal processing tasks \cite{davenport2010signal,li2013classification,8510893}. Indeed, the aim of this work is to extract features and perform the spectral image classification directly from multi-sensor compressive measurements without requiring to recover the whole data cube, thus, the CSI reconstruction phase is completely avoided. After acquiring the HS and MS compressive measurements, the proposed method perform a rearrangement and extrapolation procedure from CSI HS measures in order to extract the spectral features. Consecutively, the CSI MS measurements are rearranged before applying a superpixel algorithm \cite{achanta2012slic} in order to obtain the spatial features. Specifically, using this segmentation technique, the proposed method groups pixels with similar spectral characteristics within a nearby neighborhood, incorporating spatial information and hence boosting the classification performance. Finally, the HS and MS extracted features are concatenated before being evaluated in a SVM classifier with a polynomial kernel.

%The proposed method first acquires the compressive HS measurements from the CSI sensor and then perform a rearrangement and extrapolation procedure in order to extract the HS features. Similarly, the compressive MS measurements are first acquired from the CSI sensor and then are ...in a matrix and it is evaluated 

%Due to the extrapolation, this step of the proposed method incorporates spatial information in the classification features.

%The paper is organized as follows. In section \ref{sec:relatedWorks} some related works regarding the classification directly over compressive measurements are discussed. Then, the used CSI sensing scheme, the proposed feature extraction approach and the used classifier are described in section \ref{sec:method1}. Section \ref{sec:pertinence} briefly describes the pertinence of this work with computer science. Some preliminary simulations are included in section \ref{sec:results} to analyze the performance of the presented fused image spectral-spatial classification approach. Finally, discussion about the proposed method, future work and conclusions are developed in section \ref{sec:discussion} and \ref{sec:conclusions}, respectively.

\label{sec:method1}

%\subsection{Problem Formulation}
%
%In general, denote $\boldsymbol{\mathcal{F}}$ as the spatio-spectral data cube, with $M\times N$ spatial dimensions, $L$ spectral bands and entries denoted as $\mathcal{F}_{m,n,k}$, where $m$ and $n$ index the spatial coordinates, and $k$ determines the $k$-th spectral band. The $\boldsymbol{\mathcal{F}}$ data cube can be rearranged as a matrix $\mathbf{F}\in\mathbb{R}^{L\times MN}$ whose columns are  the spectral signatures $\mathbf{f}_j$ of the data cube. Specifically, the rearrangement can be expressed as
%\begin{align}
%\mathbf{F}=\big[[ &\mathcal{F}_{0,0,0},\mathcal{F}_{1,0,0},\cdots,\mathcal{F}_{0,1,0},\cdots, \mathcal{F}_{(M-1),(N-1),0}]^T, \nonumber \\
%&\cdots,[ \mathcal{F}_{0,0,(L-1)}, \cdots,\mathcal{F}_{(M-1),(N-1),(L-1)}]^T  \big].^T
%\end{align}
%
%In this work, the classification maps of a high spatial and spectral resolution image $\mathbf{F}$ are found from data fusion compressive measurements acquired using a MS and HS images $\mathbf{F}_{\mathbf{m}} \in \mathbb{R}^{L_m\times MN}$ and $\mathbf{F}_{\mathbf{h}} \in \mathbb{R}^{L\times M_hN_h}$. Note that $\mathbf{F}_{\mathbf{m}}$ is a spectrally degraded version of $\mathbf{F}$, with $L_m=L/q$, where $q$ represents the spectral decimation factor. Similarly, $\mathbf{F}_{\mathbf{h}}$ is a blurred and spatially downsampled instance of $\mathbf{F}$, with $M_h=M/p,N_h=N/p$ and where $p$ is the downsampling factor along each spatial coordinate. Mathematically, the matrices $\mathbf{F}_{\mathbf{m}}$ and $\mathbf{F}_{\mathbf{h}}$ can be expressed as
%\begin{align}
%\mathbf{F}_{\mathbf{m}} &= \mathbf{D}_{\mathbf{m}}\mathbf{F} \label{eq:Fm}\\
%\mathbf{F}_{\mathbf{h}} &= \mathbf{F}\mathbf{D}_{\mathbf{h}},\label{eq:Fh}
%\end{align}
%where $\mathbf{D}_{\mathbf{m}}\in \mathbb{R}^{L_m\times L}$ and $\mathbf{D}_{\mathbf{h}}\in \mathbb{R}^{MN\times M_hN_h}$ are downsampling matrices. Specifically $\mathbf{D}_{\mathbf{m}}$ is the downsampling matrix that models the spectral degradation of the high spatial and spectral resolution image $\mathbf{F}$ with downsampling factor $q$. Similarly, $\mathbf{D}_{\mathbf{h}}$ is the spatial downsampling matrix that includes both the blur operation and the spatial decimation of $\mathbf{F}$ with downsampling factor $p$.


\begin{figure}[!t]
	\centering
	\begin{subfigure}[t]{\linewidth}
		\centering
		\includegraphics[width=0.9\linewidth]{3DCassi_process}
		\caption{3D-CASSI sensing procedure.}
		\sublabel{3DCASSI_sensingApp}
	\end{subfigure}
	
	\begin{subfigure}[t]{\linewidth}
		\centering
		\includegraphics[width=0.7\linewidth]{ordenamiento}
		\caption{Rearrangement of the matrix $\mathbf{\hat{Y}}$ such that the  $s$-th row of $\mathbf{Y}$ contains the compressive measurements acquired with the $s$-th coding pattern $\boldsymbol{\phi}^s$.}
		\sublabel{ordenamiento}
	\end{subfigure}
	\caption{Acquisition and rearrangement of CSI measurements. \vspace{-0.21in}}
	\label{fig:CSIAcquisition}
\end{figure}

\subsection{Compressive measurements acquisition}
\label{subsec:compressive}
%In order to acquire the compressive measurements of a spectral scene, the 3D-CASSI sensing approach is used \cite{cao2016computational}.

In this work, the 3D-CASSI sensing approach is adopted \cite{cao2016computational}. In general, denote $\boldsymbol{\mathcal{F}}$ as the spatio-spectral data cube, with $M\times N$ spatial dimensions, $L$ spectral bands and entries denoted as $\mathcal{F}_{m,n,k}$, where $m$ and $n$ index the spatial coordinates, and $k$ determines the $k$-th spectral band. As shown in Fig. \ref{fig:CSIAcquisition} (\subref{3DCASSI_sensingApp}), the 3D-CASSI sensing scheme first modulates the voxels of the spectral scene using a 3D coded aperture $\mathbf{C}^s$, whose entries are indexed as $C_{m,n,k}^s$. Then, the coded spectral scene is integrated in the focal plane array (FPA) detector, along the spectral axis. In CSI it is possible to acquire $S \ll L$ measurement shots, each one employing a different coded aperture, such that different measurements of the spectral data cube are acquired. Therefore, the output of the sensing process, at the $(m,n)$-th detector pixel and a specific snapshot $s$, can be expressed as
\begin{equation}
\hat{Y}^s_{m,n}=\sum_{k=0}^{L-1} \mathcal{F}_{m,n,k}C^s_{m,n,k}.
\label{eq:discretizedOutput}
\end{equation}
Note that for each spatial location of $\mathbf{C}^s$, it is assigned a coding pattern (optical filter) $\boldsymbol{\phi}^s\in \mathbb{R}^{L}$, with entries $(\boldsymbol{\phi}^s)_k \in \left\{ 0,1 \right\}$, that modulates a spectral pixel in that particular position before being integrated at the FPA detector. Further, observe that there is a finite number of optical filters randomly distributed in $\mathbf{C}^s$. In this work, as shown in Fig. \ref{fig:CSIAcquisition} (\subref{3DCASSI_sensingApp}), the 3D coded apertures are built with non-overlapping optical filters which cover all the spectrum.

%some pixels are encoded by different sets of coding patterns. In such case,
%At each measurement shot, the spectral pixels are encoded differently using distinct coding patterns, hence new information is acquired from the underlying data cube. Denoting $P$ as the number of different coding patterns distributed on $\mathbf{C}^s$, if the number of measurement shots $S$ is greater than $P$, then some pixels are oversampled, thus redundant information is acquired. On the other hand, if $S<P$ classification becomes hard since the similarity among two spectral pixels belonging to the same class may decrease if they are encoded (projected) differently. Finally, if $S=P$ the 3D coded aperture for each measurement shot can be optimally designed such that a particular pixel is modulated once by a different coding pattern in a particular snapshot, acquiring new information each time.

%\begin{figure}[!t]
%	\centering
%	\includegraphics[width=0.7\linewidth]{ordenamiento}
%	\caption{Rearrangement of the matrix $\mathbf{\hat{Y}}$ such that the  $s$-th row of $\mathbf{Y}$ contains the compressive measurements acquired with the $s$-th coding pattern $\boldsymbol{\phi}^s$.}
%	\label{fig:ordenamiento}
%\end{figure}

%In addition, note that if $S\ne P$ some pixels may be encoded differently (the discrimination is difficult) or oversampled (redundant information is acquired) which is inefficient for classification.

%However, column vectors of $\mathbf{\hat{Y}}$ may contain the measurement acquired with a specific coding pattern $\boldsymbol{\phi}^s$ in different rows since, in a particular snapshot, all the spectral pixels are not necessarily encoded by the same coding pattern. 

The set of compressive measurements from (\ref{eq:discretizedOutput}) can be arranged in a matrix $\mathbf{\hat{Y}}$ with dimensions $S\times (MN)$, where each column contains the compressive measurements associated to a particular spectral pixel. Note that, each row of $\mathbf{\hat{Y}}$ contains the compressive measurements acquired by the $s$-th snapshot. However, column vectors of $\mathbf{\hat{Y}}$ contain the spectral pixel measurements in unordered form since, in a particular snapshot, the spectral pixels are encoded using distinct coding patterns. Then, the matrix $\mathbf{\hat{Y}}$ is not convenient for classification as its structure makes difficult to discriminate among compressive measurements. Denoting $P$ as the number of different coding patterns, if the number of measurements shots $S$ equals $P$, the entries of $\mathbf{\hat{Y}}$ can be rearranged to form a new matrix $\mathbf{Y}$, such that each row contains the compressed information acquired with a specific coding pattern $\boldsymbol{\phi}^s$. Note that this rearrangement is only possible when $S=P$ since in this case it can be guaranteed that, at a specific snapshot, one pixel is encoded only once by a different coding pattern and, at the end of the sensing procedure, all pixels are encoded by the whole set of $S$ coding patterns. Indeed, there are few optical filters in practice hence the case $S=P$ will efficiently extract the information from the underlying data cube. Formally, the rearrangement can be expressed as
\begin{equation*}
Y_{s,j} = \hat{Y}_{s',j} \quad \text{if} \ \hat{Y}_{s',j}=(\boldsymbol{\phi}^s)^T\mathbf{f}_j \quad \forall s',
\label{eq:ordenamiento}
\end{equation*}
%, where $\leftrightarrow$ stands for the swap operation
for $s,s'=0, \cdots, S-1$, where $\mathbf{f}_j \in \mathbb{R}^L$ denotes the $j$-th spectral signature for $ j= 0, \cdots, MN-1$. This rearrangement, depicted in Fig. \ref{fig:CSIAcquisition} (\subref{ordenamiento}), preserves the structure of the underlying data improving the classification results. Alternatively, defining the matrix of $S$ coding patterns as $\boldsymbol{\Phi}=\left[ \boldsymbol{\phi}^0, \boldsymbol{\phi}^1, \cdots \boldsymbol{\phi}^{S-1}\right]^T$, the problem of acquiring and rearranging the measurements $\mathbf{\hat{Y}}$ can be succinctly expressed as follows
\begin{equation}
\mathbf{Y}=\boldsymbol{\Phi}\mathbf{F},
\label{eq:measuresForClassify}
\end{equation}
where $\mathbf{F} \in \mathbb{R}^{L \times (MN)}$ is the spectral image in matrix form, and $\boldsymbol{\Phi}  \in \mathbb{R}^{S \times L}$ can be viewed as the projection matrix. In this work the MS ($\mathbf{F}_\mathbf{m}$) and HS ($\mathbf{F}_\mathbf{h}$) images can be modeled from $\mathbf{F}$ as follows:
\begin{align}
\mathbf{F}_{\mathbf{m}} &= \mathbf{D}_{\mathbf{m}}\mathbf{F} \label{eq:Fm}\\
\mathbf{F}_{\mathbf{h}} &= \mathbf{F}\mathbf{D}_{\mathbf{h}},\label{eq:Fh}
\end{align}
where $\mathbf{D}_{\mathbf{m}}\in \mathbb{R}^{L_m\times L}$ and $\mathbf{D}_{\mathbf{h}}\in \mathbb{R}^{MN\times M_hN_h}$ are the spectral and spatial downsampling matrices, with downsampling factor $q$ and $p$, respectively.


%Using this notation, the proposed feature extraction methods, for both hyperspectral and multispectral compressed image, are developed in the next section.


%in this work we obtain the MS and HS images from F as follows: Fm=DmF .... Note that Fm is a ...


%First, the data fusion compressive measurements are acquired from the spectral image using a HS and MS CSI sensor. Then a superpixel algorithm and a extrapolation procedure are performed on the MS and HS measures, respectively, in order to extract the features for classification. Finally the HS and MS features are stacked and the resulting matrix is classified using SVM.

\vspace{-0.1in}
\subsection{Features Extraction}
% After acquiring both the MS and HS measures, the features are extracted as follows. 
%As can be seen in this figure, the scene of interest is acquired by both a multispectral CSI sensor and hyperspectral CSI sensor which follow the 3D-CASSI sensing scheme. More precisely, the multispectral CSI sensor and the hyperspectral CSI sensor obtain the compressed measures $\mathbf{Y}_{\mathbf{m}}\in\mathbb{R}^{S_m\times MN}$ and $\mathbf{Y}_{\mathbf{h}}\in \mathbb{R}^{S_h\times M_hN_h}$, respectively, where $S_m$ and $S_h$ denote the number of measurement shots. These compressed measurements are then used to extract the classification features of the high spatial and spectral resolution image.
\subsubsection{HS feature extraction}
Following the CSI acquisition model described in Section \ref{subsec:compressive}, the compressive measurements acquired by the CSI hyperspectral sensor can be succinctly expressed as
\begin{equation}
\mathbf{Y}_{\mathbf{h}} = \boldsymbol{\Phi}_{\mathbf{h}}\mathbf{F}_{\mathbf{h}}, \label{eq:Yh}
\end{equation}
where $\boldsymbol{\Phi}_{\mathbf{h}}\in \mathbb{R}^{S_h\times L}$ is the coding pattern matrix, $\mathbf{Y_h}\in \mathbb{R}^{S_h\times (M_hN_h)}$ contains the compressive measurements in an ordered form, with $S_h$ denoting the number of measurement shots and $M_h,N_h$ the spatial dimensions of the image acquired by the HS CSI sensor.


%whose rows contain the optical filters randomly distributed in the 3D coded aperture of the hyperspectral CSI sensor. In this work, the 3D coded apertures are built with non-overlapping optical filters with bandpass responses that cover all the spectrum (observe optical filters depicted in Fig.\ref{fig:3DCASSI_sensingApp}). Specifically, each coding pattern modulates a different set of contiguous spectral bands and the bandwidth is selected as the number of spectral bands divided by the number of measurement shots. 

%Figure x, depicts an example of the spectral responses of optical filters for $L=6$ spectral bands.

Although the matrix $\mathbf{Y}_{\mathbf{h}}$ can be used as a feature matrix to perform classification, the goal of this work is to label a high spectral and spatial resolution image taking into account the rich spectral information embedded in $\mathbf{Y}_{\mathbf{h}}$. Then, a spatial extrapolation is performed by replicating the columns of $\mathbf{Y}_{\mathbf{h}}$, where the replicated pixels are located to the corresponding high-spatial resolution positions. The extrapolation process can be formulated as follows
\begin{equation}
\boldsymbol{\omega}_{\mathbf{h}}^j=\mathbf{Y_h}^{\left(\lfloor \frac{j'}{p}\rfloor + \frac{M}{p}\left[ \lfloor\frac{j'}{M}\rfloor + \lfloor\frac{j'}{Mp}\rfloor \right]\right)},
\label{eq:Omegah}
\end{equation}
where $\boldsymbol{\omega}_{\mathbf{h}}^j$ is the $j$-th column of the HS classification features $\boldsymbol{\Omega}_{\mathbf{h}}$; $\mathbf{Y_h}^{(j')}$ is the $j'$-th column of the ordered compressive measurements $\mathbf{Y_h}$; and $\lfloor x \rfloor$ returns the greatest integer less or equal than $x$. 

%Note that, this extrapolation procedure incorporates the correlations between local neighboring pixels in the feature matrix of the HS image, which is a criterion commonly included in the spectral-spatial classification methods for improving the accuracy \cite{ghamisi2017advances}.

\subsubsection{MS feature extraction}

%The direct application of a classification algorithm to the hyperspectral compressive measurements may not achieve a satisfactory performance due to its poor spatial resolution. Therefore a more accurate classification can be obtained by incorporating spatial neighborhood information into the feature matrix used for the classification. In this work, such spatial information is exploited from compressive MS measurements acquired by the random projection

Similarly, the compressive MS measurements are acquired as
\begin{equation}
\mathbf{Y_m}=\boldsymbol{\Phi}_{\mathbf{m}}\mathbf{F_m},
\label{eq:Ym}
\end{equation}  
where $\boldsymbol{\Phi}_{\mathbf{m}} \in \mathbb{R}^{S_m\times L}$ is the coding pattern matrix, whose rows contain the coding patterns of the optical filters used for acquiring the MS compressive measurements. To incorporate the spatial neighborhood information, this work uses a superpixel technique. Superpixel algorithms group pixels into perceptually meaningful atomic regions or segments. This captures image redundancy, provide a convenient primitive from which to compute image features, and greatly reduce the complexity of subsequent image processing tasks. In this work, the segmented image is created by applying the efficient simple linear iterative clustering (SLIC) algorithm \cite{achanta2012slic} on the MS compressive measurements, which are first rearranged back to a $M\times N\times S_m$ image. To reduce the computational cost, before the segmentation, principal component analysis is applied on the MS compressive measurements and the three principal components are used as the base image for the segmentation. Note that the PCA analysis is only necessary if the number of acquired shots $S_m$ is greater than $3$.

Once the segmentation map has been created, it can be utilized with the MS compressive measurements to extract the classification features. Specifically, denote $\mathbf{p}^e$ as the vector containing the indexes of all pixels belonging to the superpixel $e$, the columns of MS feature matrix $\boldsymbol{\Omega}_{\mathbf{m}}$ are created as follows
\begin{equation}
\boldsymbol{\omega}_\mathbf{m}^{\mathbf{p}^e} = \frac{\sum_{l=0}^{n_e-1} \mathbf{Y_m}^{\left(\mathbf{p}^e\right)_l}}{n_e}, \quad \text{for } e=0, \cdots, N_{seg},
\label{eq:ms_features}
\end{equation}
where $N_{seg}$ is the number of segments generated by the superpixel algorithm, $\left(\mathbf{p}^e\right)_l$ denotes the $l$-th entry of the $\mathbf{p}^{e}$ vector and $\boldsymbol{\omega}_\mathbf{m}^{\mathbf{p}^e}$ represents the columns in $\boldsymbol{\Omega}_{\mathbf{m}}$ indexed by the vector $\mathbf{p}^e$. Note that Eq. (\ref{eq:ms_features}) simply replace all pixels in a segment $e$ by the mean pixel. This procedure incorporates the spatial neighboring information of the superpixel in the classification method.

Finally, the feature matrices obtained from both MS and HS images $(\boldsymbol{\Omega}_{\mathbf{m}},\boldsymbol{\Omega}_{\mathbf{h}})$ are stacked in order to build the feature matrix of the high spatial and spectral resolution image whose columns shall be the input samples of a support vector machines (SVM) classifier. In other words, since the $\boldsymbol{\Omega}_{\mathbf{m}}$ and $\boldsymbol{\Omega}_{\mathbf{h}}$ have $MN$ columns, the feature matrix is built as $\boldsymbol{\Omega}= \left[ \boldsymbol{\Omega}_{\mathbf{h}}^T, \boldsymbol{\Omega}_{\mathbf{m}}^T \right]^T$. In this work, the compression ratio is given by $\rho = \frac{S_h+S_m}{L}$. The flowchart of the proposed classification approach from multi-sensor compressive measurements is shown in Fig. \ref{fig:algFlow}.


\begin{figure}[!t]
	\centering
	\includegraphics[width=\linewidth]{algFlow.pdf}
	\caption{Workflow of the proposed CSI Spectral-Spatial classification approach. \vspace{-0.21in}}
	\label{fig:algFlow}
\end{figure}

%hablar de la tecnica, explicarla. decir que al final obtengo
%un mapa, de ese mapa extraigo un conjunto de indices
%busco la firma media usando esos indices y luego la reemplazo
% en una image, algo similar a  7

\vspace{-0.15in}
\section{Simulations and Results}
\label{sec:results}

%The proposed compressed spectral image classification was tested on the \textbf{University of Pavia} spectral data set. This image was acquired by the Reflective Optics System Imaging Spectrometer (ROSIS) sensor during a flight campaign over Pavia, Northern Italy. The spatial dimensions of the image are $610 \times 340$ pixels, with $96$ bands used in the experiments. A typical area for the test data with a size of $256 \times 256$ pixels, containing eight main land-cover classes: , was used. Classification of this selected image is a challenging task because the spectral signatures of the land-cover classes are very similar and some of the spectral curves are mixed, as observed in Fig \ref{fig:AllPres}. (c). A false-color image and the ground truth for Pavia University are also provided in Fig. \ref{fig:AllPres} (a)-(b), respectively. The presented results are the average of ten experiments, each with a different set of training pixels. In all the experiments, $24$ and $3$ snapshots of the HS and MS images were taken, respectively. This corresponds to a compression ratio of $\rho =  28.12\%$.

%Note that, in the presented results, ``Proposed-Noiseless'' is referred to as the classification results obtained when the proposed method is directly applied on the noise-free compressive measurements. Similarly, ``Proposed-Noisy'' corresponds to the results obtained when the proposed method is directly applied on the compressive measurements contaminated with 25 dB of Gaussian noise SNR. ``Reconstructed-Fusion'' refers to the results obtained when a high spectral and spatial resolution image is reconstructed from data fusion compressive measurements before being classified by the proposed method. Finally, ``Original-Image'' is referred when using the proposed classification approach with the complete high spectral and spatial resolution image, i.e., no compression was performed.

The proposed classification method \footnote{The MATLAB code along with some simulations can be found in \url{https://rebrand.ly/icip2019}.} was first evaluated on the Pavia University dataset, acquired by the Reflective Optics System Imaging Spectrometer (ROSIS-03) sensor \cite{SpectralImageDatabase}. This spectral image consists of $610 \times 340$ pixels and $103$ spectral bands. In this work, a subset of this spectral image with dimensions  $256 \times 256 \times 96$ was used in order to evaluate various classification approaches. Figure \ref{fig:VresultsPavia} (a) shows the ground-truth map of the Pavia University dataset, where each class corresponds to a distinct material in an urban cover. For all the experiments, a SVM classifier is trained using a polynomial kernel and  $10\%$ of the samples. In addition, the compression ratio of the acquired CSI measurements is set to $\rho = 25\%$.

%: asphalt, meadows, gravel, trees, bare soil, bitumen, self-block bricks, and shadows

\begin{figure}[!t]
	\centering
	\includegraphics[width=0.72\linewidth]{VResults_PA2.pdf}
	\caption{Classification maps on the Pavia University data set. (a) Ground Truth. (b) Original Image, (c) Reconstruction-Fusion, (d) ACC, (e) Proposed-Noisy, (f) Proposed-Noiseless.\vspace{-0.15in}}
	\label{fig:VresultsPavia}
\end{figure}

\begin{figure}[!t]
	\centering
	\begin{subfigure}[b]{0.5\columnwidth}
		\centering
		\begin{tikzpicture}
		\begin{axis}[
		legend cell align = left,
		legend pos = north east,
		scale = 0.46,
		grid = major,
		ylabel = \scriptsize \textrm{Overall accuracy ($\%$)},
		ylabel style = {yshift=-0.5cm},
		xlabel style = {yshift=0.3cm},	
		ymin = 96,
		ymax = 100,
		xmin = 10,
		xmax = 3900,
		xlabel = \scriptsize \textrm{Number of Segments},
		ticklabel style = {font=\tiny},
		]
		\addplot[color=mycolor3, smooth, mark=square, mark options ={scale=0.25}] table[x ={x},y = y1]{FigureData/OAvsNSEG.dat};
		\addlegendentry{\tiny Proposed method};
		\addplot[color=mycolor2, smooth, line width = 1.00] table[x ={x},y = y2]{FigureData/OAvsNSEG.dat};
		\addlegendentry{\tiny Fitted curve};
		\addplot[color=mycolor4, smooth, line width = 1.00] table[x ={x},y = y3]{FigureData/OAvsNSEG.dat};
		\addlegendentry{\tiny Only spectral classification};
		\end{axis}
		\end{tikzpicture}
		\caption{}
		\sublabel{subfig:OAvsNseg}
	\end{subfigure}%
	~ 
	\begin{subfigure}[b]{0.5\columnwidth}
		\centering
		\begin{tikzpicture}
		\begin{axis}[
		legend cell align = left,
		legend pos = south east,
		scale = 0.46,
		grid = major,
		ylabel = \scriptsize \textrm{Overall accuracy ($\%$)},
		ylabel style = {yshift=-0.5cm},
		xlabel style = {yshift=0.3cm},	
		ymin = 50,
		ymax = 100,
		xmin = 0,
		xmax = 40,
		xlabel = \scriptsize \textrm{SNR [dB]},
		ticklabel style = {font=\tiny},
		]
		\addplot[color=mycolor3, smooth, mark=square, mark options ={scale=0.50}, line width = 1.00] table[x ={x},y = y1]{FigureData/OAvsSNR.dat};
		\addlegendentry{\tiny Proposed method};
		\addplot[color=mycolor1, smooth, line width = 1.00, mark =*, mark options ={scale=0.50}] table[x ={x},y = y2]{FigureData/OAvsSNR.dat};
		\addlegendentry{\tiny Reconstruction-Fusion};
		\end{axis}
		\end{tikzpicture}
		\caption{}
		\sublabel{subfig:OAvsSNR}
	\end{subfigure}
	\caption{(\subref{subfig:OAvsNseg}) The overall accuracy of the proposed classification method versus the number of the superpixel segments and (\subref{subfig:OAvsSNR}) the overall accuracy against the SNR of the compressive measurements.\vspace{-0.21in}}
	\label{fig:OAvsNsegandSNR}
\end{figure}

%\begin{figure}[t]
%	\centering
%	\includegraphics[width=9cm]{SA_Pres.pdf}
%	\caption{AVIRIS Salinas test image. (a) Salinas false-color image (RGB 70,27,17). (b) Ground truth. (c) Spectral curves of the six land-cover classes.}
%	\label{fig:SAPres}
%\end{figure}
%\begin{figure}[t!]
%	\centering
%	\includegraphics[width=9cm]{PA_Pres.pdf}
%	\caption{ROSIS University of Pavia test image. (a) False-color image (RGB 102,56,31). (b) Ground truth. (c) Spectral curves of the eight land-cover classes. }
%	\label{fig:PAPres}
%\end{figure}

In the first experiment, the number of superpixels is varied in order to analyze the impact of the clustering technique in the overall accuracy (OA). Specifically, Fig. \ref{fig:OAvsNsegandSNR} (\subref{subfig:OAvsNseg}) shows the OA versus number of segments ($N_{seg}$) classification results on the University of Pavia image. As it can be observed, as the number of desired segments increases the overall accuracy decays exponentially, as depicted with the fitted curve in red. In addition, note that, in general, the proposed method outperforms the spectral classification over the original image when using $N_{seg}\leq 1600$. Indeed, it can be seen from the figure that the incorporation of spatial neighboring information boost the classification accuracy up to $3\%$ in OA, when the chosen number of superpixels is approximately the number of classes within the spectral scene. Therefore, the number of segments is fixed to $N_{seg}=10$ for the subsequent experiments on the Pavia University dataset.

It is important to note that the measurements described by Eq. (\ref{eq:measuresForClassify}), in general, are noise free. However, in real CSI architecture, the compressive measurements are contaminated with noise due to the physical limitation of the sensor and imperfections of the acquisition system. Therefore, Eq. (\ref{eq:measuresForClassify}) should be rewritten as $\mathbf{Y}=\boldsymbol{\Phi}\mathbf{F} + \boldsymbol{\Sigma}$, where $\boldsymbol{\Sigma}\sim N(0,\sigma^2)$ represents the noise of the system. Figure \ref{fig:OAvsNsegandSNR} (\subref{subfig:OAvsSNR}) shows the overall accuracy results of the proposed classification method versus the SNR of compressive measurements. For comparison purposes, the accuracy results of the Reconstruction-Fusion method is included in Fig. \ref{fig:OAvsNsegandSNR} (\subref{subfig:OAvsSNR}). As can be seen in this figure, the proposed method outperforms the other method for the test interval.

Figures \ref{fig:VresultsPavia} (b), (c), (e) and (f) show the classification maps obtained when the SVM is applied on the original spectral image (Original Image), a reconstructed and fused spectral image from compressive measurements (Reconstruction-Fusion), the extracted features ($\boldsymbol{\Omega}$) from noisy compressive measurements (Proposed-Noisy), and the extracted features from noiseless compressive measurements (Proposed-Noiseless), respectively. In addition, the proposed method was compared with the Adaptive Compressed Classification (ACC) framework \cite{hahn2014adaptive}, using SVM, in Fig.  \ref{fig:VresultsPavia} (d). For the Reconstruction-Fusion classification approach, we implement the spectral image reconstruction method developed in \cite{arguello2014colored} and the coupled nonnegative matrix factorization (CNMF) fusion technique \cite{YokoyaCoupled2012}. For the Proposed-Noisy approach, the proposed method is applied to noisy compressive measurements with SNR = 25 dB.

%Classification of this selected image is a challenging task because the spectral signatures of the land-cover classes are very similar and some of the spectral curves are mixed, as observed in Fig \ref{fig:VresultsPavia}. (c). A false-color image and the ground truth for Pavia University are also provided in Fig. \ref{fig:VresultsPavia} (a)-(b), respectively. The presented results are the average of ten experiments, each with a different set of training pixels. In all the experiments, $24$ and $3$ snapshots of the HS and MS images were taken, respectively. This corresponds to a compression ratio of $\rho =  25\%$.

% The clustering was a challenging task due to the spectral signatures of the land-cover classes in this area are very similar and some of the spectral curves are mixed, as shown in Fig. \ref{fig:IPPres}(c). The false-color image and the ground truth are provided in Fig. \ref{fig:IPPres}(a) and (b), respectively.\\[0.1in]

%This image is also difficult for clustering because of the high similarity between the spectral signatures of some land-cover classes, which can be seen in Fig. \ref{fig:SAPres}(c). The false-color image and the ground truth are provided in Fig. \ref{fig:SAPres}(a) and (b), respectively. \\[0.1in]

% This data set contains more complex land-cover classes, and the spectral signatures of some of the classes are very similar, which results in the clustering being a more challenging task. The spectral curves of the eight land-cover classes are shown in Fig. \ref{fig:PAPres}(c). The false-color image and the ground truth are also provided in Fig. \ref{fig:PAPres}(a) and (b), respectively.\\[-0.05in]


%The proposed compressed spectral image clustering approach was tested on two real datasets acquired by the Airborne Visible/Infrared Imaging Spectrometer (AVIRIS). Specifically, a portion of the Indian Pines image, with spatial resolution of $70\times 70$ and $200$ spectral bands, and a portion of the Salinas Valley image, with spatial resolution of $60\times 120$ and $204$ spectral bands were used in the experiments. The selected area of Indian Pines contains four main kinds of ground materials: corn-no-till, grass, soybeans-no-till, and soybeans-minimum-till. This typical test area is very challenging for clustering due to the ground materials have very similar spectra. On the other hand, the Salinas Valley subimage contains six land-cover classes: brocoli-green-weeds, corn-senesced-green-weeds, lettuce-romaine-4wk, lettuce-romaine-5wk, lettuce-romaine-6wk and lettuce-romaine-7wk.

%\footnote{The quantitative evaluations correspond to the accuracy for each class, overall accuracy (OA), average accuracy (AA), Kappa coefficients and the time of classification. See \url{https://goo.gl/vK2KKj} for details.}

In order to further validate the performance of the proposed approach, quantitative results are presented for the selected spectral scene in Table \ref{tab:combinations}. All the presented results are the average of $10$ experiments, each with different realizations of $\boldsymbol{\Phi}_{\mathbf{h}}$ and $\boldsymbol{\Phi}_{\mathbf{m}}$ coding patterns, and the best value of each row is shown in bold font. Furthermore, Table \ref{tab:combinations} shows the numerical results for each of the eight land-cover classes (producer's accuracy), overall accuracy (OA), average accuracy (AA), Kappa ($\kappa$) coefficients \cite{accMetrics} and time. All the results, except the Kappa coefficients, are given in percentage. 

\begin{table}
	\setlength{\tabcolsep}{0.2em} 
	\def\arraystretch{1.1}%
	\caption{Performance of the various classification approaches on the Pavia University dataset.\vspace{-15pt}}
	\label{tab:combinations}
	\begin{center}
		\ssmall
		\begin{tabular}{c | c c c c c}
			\hline
			\hline
			\multirow{2}{*}{Class} & \ssmall{Original} &  \ssmall{Recontruction-} & \ssmall{ACC} & \ssmall{Proposed-} & \ssmall{Proposed-}\\
			&  \ssmall{image} & \ssmall{Fusion} & \ssmall{Framework} & \ssmall{Noisy} & \ssmall{Noiseless}\\
			\hline  
			\hline
			Asphalt 		&  86.80 $\pm$ 2.03  &  84.62 $\pm$ 1.05 &   91.20 $\pm$ 1.21  &  95.05 $\pm$ 4.62  &  \textbf{98.63 $\pm$ 0.70}\\
			Meadows 		&  99.07 $\pm$ 0.02  &  99.23 $\pm$ 0.22 &  95.78 $\pm$ 0.14 & 98.95 $\pm$ 0.17 &  \textbf{99.77 $\pm$ 0.02}\\
			Gravel   		&  82.39 $\pm$ 1.35  &  80.03 $\pm$ 6.67 &  79.62 $\pm$ 0.31 & 78.04 $\pm$ 4.58 &  \textbf{99.67 $\pm$ 0.16}\\
			Trees   		&  88.61 $\pm$ 2.41  &  91.55 $\pm$ 2.62 &  92.06 $\pm$ 0.27 & 86.86 $\pm$ 3.13 &  \textbf{93.35 $\pm$ 0.07}\\
			Bare-Soil   	&  61.96 $\pm$ 5.89  &  72.45 $\pm$ 5.89 &  85.57 $\pm$ 0.98 & 88.98 $\pm$ 6.46 &  \textbf{98.25 $\pm$ 2.47}\\
			Bitumen			&  \textbf{93.29 $\pm$ 0.97}  &  90.82 $\pm$ 2.51 & 77.11 $\pm$ 0.16 & 93.70 $\pm$ 3.10 &  92.19 $\pm$ 0.97\\
			Self-Block Bricks  &  90.40 $\pm$ 0.20 & 85.14 $\pm$ 3.19 & 83.16 $\pm$ 0.24 & 83.05 $\pm$ 1.19 &  \textbf{97.58 $\pm$ 1.03}\\
			Shadows			& \textbf{100.00 $\pm$ 0.00}  &  99.89 $\pm$ 0.15 & 98.47 $\pm$ 0.66  & 98.42 $\pm$  0.74 &  98.74 $\pm$ 0.00\\
			\hline
			\hline
			OA ($\%$) &  94.51 $\pm$ 0.35  &  94.05 $\pm$ 0.72  & 90.88 $\pm$ 0.43 &  94.55 $\pm$ 0.60  &  \textbf{98.90 $\pm$ 0.03}\\
			AA ($\%$) &  87.81 $\pm$ 1.26  &  87.97 $\pm$ 0.01  & 87.87 $\pm$ 1.05 & 90.38 $\pm$ 0.86  &  \textbf{97.27 $\pm$ 0.40}\\
			$\kappa$  &  0.91 $\pm$ 0.0062 &  0.90 $\pm$ 0.0119 & 0.88 $\pm$ 0.0147 & 0.91 $\pm$ 0.0105  & \textbf{0.98 $\pm$ 0.0005}\\
			\hline
			\hline
			Time (s)  &  1.17 $\pm$ 0.007  &  87.43 $\pm$ 1.77 & 24.97 $\pm$ 2.35  & \textbf{0.66 $\pm$ 0.050}  & 0.74 $\pm$ 0.037\\
			\hline
			\hline
		\end{tabular}
	\end{center}
	\vspace{-0.40in}
\end{table}

From the Table \ref{tab:combinations}, it can be clearly observed that the proposed classification approach provide comparable results to applying the method directly on the original and reconstructed spectral data cube. In addition, performing the classification directly on the CSI measurements is significantly faster than performing all the processing in the complete and the reconstructed spectral data. As observed, the results show that when no noise is assumed, the achieved classification accuracy outperforms the results obtained with the full spectral data cube. As reported in some works, random projections are not sensitive to impulse noise thus can be used as a noise reduction method \cite{bingham2001random}. In other words, the achieved results when using noise-free compressive measurements are due to the random projection, described in Eq. (\ref{eq:measuresForClassify}), removes noise from the acquired measurements. Finally, as clearly observed from Table \ref{tab:combinations}, ACC is outperformed by the proposed method in both, noisy and noiseless case.

For the sake of completeness, we evaluate the proposed method on the Salinas dataset, captured by the Airborne Visible/Infrared Imaging Spectrometer (AVIRIS) \cite{SpectralImageDatabase}. This image has dimensions of $512 \times 217$ pixels and $204$ spectral band. In this work, a subset of $217 \times 217 \times 192$ is used to evaluate the proposed classification method. Fig. \ref{fig:Salinas}(a) shows an RGB composite of the Salinas Valley spectral image and Fig. \ref{fig:Salinas}(b) shows the ground truth map of eight land-cover classes corresponding to different kinds of crops. Moreover, Fig. \ref{fig:Salinas}(c)-(f) show the classification maps obtained from the original image, the Reconstruction-Fusion approach, the proposed method using noisy compressive measurements (Proposed-Noisy), and the proposed method using noiseless compressive measurements (Proposed-Noiseless), respectively. As can be observed in these figures, the classification map generated by the proposed method over noiseless compressive measurements exhibits a superior performance compared with those yielded by the other approaches.

Figure \ref{fig:TimeandOAvsCompression} (a) shows the overall accuracy versus the compression ratio for the various classification approaches. Each point of these curves is obtaining by averaging 20 realizations of the respective experiment, and for each trial, a new set of colored coded apertures is built and a random set of training samples are selected. Furthermore, the rate of training samples is set to $10\%$ and the number of super-pixels is fixed to $N_{seg} = 10$. As can be seen in this figure, the proposed classification approach using noiseless measurements has a remarkable performance in comparison with the other methods. Finally, Fig. \ref{fig:TimeandOAvsCompression} (b) shows the overall accuracy as the rate of training samples increases. As can be observed in this figure, the proposed method from noiseless measurements outperforms the other classification approaches for the entire evaluation interval, achieving an accuracy gain of at least 3$\%$.

%Finally,  \ref{fig:TimeandOAvsCompression} (b) shows the computational time against the compression ratio for the various classification methods. As can be seen in this figure, the proposed method, over both noiseless and noisy compressive measurements, exhibits the lower computation time values compared to the other classification approaches. This is mainly attributed to the fast segmentation stage using the superpixel algorithm and the subsequent classification stage over a reduced set of extracted features.

\begin{figure}[!t]
	\begin{center}
		\begin{tabular}{c c c}
			%	\hspace{-10pt}
			\begin{minipage}{0.23\linewidth}
				\includegraphics[width=1.00\linewidth]{EpsData/hri_salinas.eps}
			\end{minipage}
			&
			%	\hspace{-10pt}
			\begin{minipage}{0.23\linewidth}
				\includegraphics[width=1.00\linewidth]{EpsData/gt_salinas.eps}
			\end{minipage}
			&
			%	\hspace{-10pt}
			\begin{minipage}{0.23\linewidth}
				\includegraphics[width=1.00\linewidth]{EpsData/image_salinas.eps}
			\end{minipage}
			\\
			%	\hspace{-10pt}
			\begin{minipage}{0.23\linewidth}
				\includegraphics[width=1.00\linewidth]{EpsData/fused_salinas.eps}
			\end{minipage}
			&
			%	\hspace{-10pt}
			\begin{minipage}{0.23\linewidth}
				\includegraphics[width=1.00\linewidth]{EpsData/noisy_salinas.eps}
			\end{minipage}
			&
			%	\hspace{-10pt}
			\begin{minipage}{0.23\linewidth}
				\includegraphics[width=1.00\linewidth]{EpsData/clean_salinas.eps}
			\end{minipage}
		\end{tabular}
	\end{center}
	\vspace{-0.16in}
	\caption{Salinas Valley dataset: (a) RGB composite of the spectral image, (b) Ground Truth. (c) Original Image, (d) Reconstruction-Fusion, (e) Proposed-Noisy, (f) Proposed-Noiseless.\vspace{-0.1in}}
	\label{fig:Salinas}
\end{figure}


\begin{figure}[!t]
	\centering
	\begin{tabular}{c c}
		\hspace{-10pt}
		%	\begin{subfigure}[b]{1.0\columnwidth}
		\begin{minipage}{0.49\linewidth}
			\begin{center}
				\resizebox{0.95\textwidth}{!}{
					\begin{tikzpicture}
					\begin{axis}[
					legend cell align = left,
					legend pos = south east,
					scale = 0.80,
					grid = major,
					ylabel = \large \textrm{Overall accuracy ($\%$)},
					ylabel style = {yshift=-0.5cm},
					xlabel style = {yshift=0.3cm},	
					ymin = 80,
					ymax = 100,
					xmin = 12.5,
					xmax = 100,
					xlabel = \large \textrm{Compression ratio ($\%$)},
					ticklabel style = {font=\footnotesize},
					]
					\addplot[color=mycolor4, smooth, line width = 2.00] table[x ={x},y = y3]{FigureData/OAvsCompression.dat};
					\addlegendentry{\footnotesize Original image};
					\addplot[color=mycolor1, smooth, line width = 2.50, mark =*, mark options ={scale=0.50}] table[x ={x},y = y4]{FigureData/OAvsCompression.dat};
					\addlegendentry{\footnotesize Reconstruction-Fusion};
					\addplot[color=mycolor2, smooth, line width = 2.00, mark =triangle, mark options ={scale=0.50}] table[x ={x},y = y2]{FigureData/OAvsCompression.dat};
					\addlegendentry{\footnotesize Proposed-Noisy};
					\addplot[color=mycolor3, smooth, mark=square, mark options ={scale=0.50}, line width = 2.00] table[x ={x},y = y1]{FigureData/OAvsCompression.dat};
					\addlegendentry{\footnotesize Proposed-Noiseless};
					\node[] at (axis cs: 26,82.5) {\Large \textbf{(a)}};
					\end{axis}
					\end{tikzpicture}
				}
			\end{center}
		\end{minipage}
		%		\caption{}
		%		\sublabel{subfig:OAvsCompression}
		%	\end{subfigure}%
		&
		\hspace{-10pt}
		%	\begin{subfigure}[b]{0.5\columnwidth}
		\begin{minipage}{0.49\linewidth}
			\begin{center}
				\resizebox{0.95\textwidth}{!}{
					\begin{tikzpicture}
					\begin{axis}[
					legend cell align = left,
					legend pos = south east,
					scale = 0.80,
					grid = major,
					ylabel = \large \textrm{Overall accuracy ($\%$)},
					ylabel style = {yshift=-0.5cm},
					xlabel style = {yshift=0.3cm},	
					ymin = 80,
					ymax = 100,
					xmin = 1,
					xmax = 20,
					xlabel = \large \textrm{Rate of training samples ($\%$)},
					ticklabel style = {font=\footnotesize},
					]
					\addplot[color=mycolor4, smooth, line width = 2.00] table[x ={x},y = y3]{FigureData/OAvsTraining.dat};
					\addlegendentry{\footnotesize Original Image};
					\addplot[color=mycolor1, smooth, line width = 2.50, mark =*, mark options ={scale=0.50}] table[x ={x},y = y4]{FigureData/OAvsTraining.dat};
					\addlegendentry{\footnotesize Reconstruction-Fusion};
					\addplot[color=mycolor2, smooth, line width = 2.00, mark =triangle, mark options ={scale=0.50}] table[x ={x},y = y2]{FigureData/OAvsTraining.dat};
					\addlegendentry{\footnotesize Proposed-Noisy};
					\addplot[color=mycolor3, smooth, mark=square, mark options ={scale=0.50}, line width = 2.00] table[x ={x},y = y1]{FigureData/OAvsTraining.dat};
					\addlegendentry{\footnotesize Proposed-Noiseless};
					\node[] at (axis cs: 2.5,82.5) {\Large \textbf{(c)}};
					\end{axis}
					\end{tikzpicture}
				}
			\end{center}
		\end{minipage}
		%		\caption{}
		%		\sublabel{subfig:TimevsCompression}
		%	\end{subfigure}
	\end{tabular}
	\caption{(a) The overall accuracy on the Salinas Valley dataset versus the compression ratio and (b) the overall accuracy versus the rate of training samples.\vspace{-0.21in}}
	\label{fig:TimeandOAvsCompression}
\end{figure}


\section{Conclusion}
The conclusion goes here.





% if have a single appendix:
%\appendix[Proof of the Zonklar Equations]
% or
%\appendix  % for no appendix heading
% do not use \section anymore after \appendix, only \section*
% is possibly needed

% use appendices with more than one appendix
% then use \section to start each appendix
% you must declare a \section before using any
% \subsection or using \label (\appendices by itself
% starts a section numbered zero.)
%


\appendices
\section{Proof of the First Zonklar Equation}
Appendix one text goes here.

% you can choose not to have a title for an appendix
% if you want by leaving the argument blank
\section{}
Appendix two text goes here.


% use section* for acknowledgment
\section*{Acknowledgment}


The authors would like to thank...


% Can use something like this to put references on a page
% by themselves when using endfloat and the captionsoff option.
\ifCLASSOPTIONcaptionsoff
  \newpage
\fi



% trigger a \newpage just before the given reference
% number - used to balance the columns on the last page
% adjust value as needed - may need to be readjusted if
% the document is modified later
%\IEEEtriggeratref{8}
% The "triggered" command can be changed if desired:
%\IEEEtriggercmd{\enlargethispage{-5in}}

% references section

% can use a bibliography generated by BibTeX as a .bbl file
% BibTeX documentation can be easily obtained at:
% http://mirror.ctan.org/biblio/bibtex/contrib/doc/
% The IEEEtran BibTeX style support page is at:
% http://www.michaelshell.org/tex/ieeetran/bibtex/
%\bibliographystyle{IEEEtran}
% argument is your BibTeX string definitions and bibliography database(s)
%\bibliography{IEEEabrv,../bib/paper}
%
% <OR> manually copy in the resultant .bbl file
% set second argument of \begin to the number of references
% (used to reserve space for the reference number labels box)
\begin{thebibliography}{1}

\bibitem{IEEEhowto:kopka}
H.~Kopka and P.~W. Daly, \emph{A Guide to \LaTeX}, 3rd~ed.\hskip 1em plus
  0.5em minus 0.4em\relax Harlow, England: Addison-Wesley, 1999.

\end{thebibliography}

% biography section
% 
% If you have an EPS/PDF photo (graphicx package needed) extra braces are
% needed around the contents of the optional argument to biography to prevent
% the LaTeX parser from getting confused when it sees the complicated
% \includegraphics command within an optional argument. (You could create
% your own custom macro containing the \includegraphics command to make things
% simpler here.)
%\begin{IEEEbiography}[{\includegraphics[width=1in,height=1.25in,clip,keepaspectratio]{mshell}}]{Michael Shell}
% or if you just want to reserve a space for a photo:

\begin{IEEEbiography}{Michael Shell}
Biography text here.
\end{IEEEbiography}

% if you will not have a photo at all:
\begin{IEEEbiographynophoto}{John Doe}
Biography text here.
\end{IEEEbiographynophoto}

% insert where needed to balance the two columns on the last page with
% biographies
%\newpage

\begin{IEEEbiographynophoto}{Jane Doe}
Biography text here.
\end{IEEEbiographynophoto}

% You can push biographies down or up by placing
% a \vfill before or after them. The appropriate
% use of \vfill depends on what kind of text is
% on the last page and whether or not the columns
% are being equalized.

%\vfill

% Can be used to pull up biographies so that the bottom of the last one
% is flush with the other column.
%\enlargethispage{-5in}



% that's all folks
\end{document}


